EDIT - task #6003

Cleanup redmine users
07/25/2016 09:51 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: devOps Estimated time: 0:00 hour
Target version:

Severity: normal

Description

1. find users which are associated with tickets as onwer, assignee, etc select distinct u.* from issues i join users u on ( i.author_id
= u.id or i.assigned_to_id = u.id) order by u.login users which are only in the cc field of the issues can be ignored all other users
can be deleted

Maybe there is a plugin for redmine which lists all issues and wiki pages for a given user?

History

#1 - 07/25/2016 04:15 PM - Andreas Miuller

- Description updated

| tested and updated all existing users with the following queries. Delete duplicates and set inactive users to locked. Remaining 40 active users and
36 locked users.

SET @userId := 87;

Select i.author_id, u.login from issues i join users u on ( i.author_id = u.id ) WHERE author_id = QuserId
ORDER BY u.login

;

Select i.assigned_to_id, u.login from issues i join users u on ( 1i.assigned_to_id = u.id) WHERE
assigned_to_id = @QuserId ORDER BY u.login

;
SELECT * From changesets cs WHERE user_id = @userId ORDER BY user_id , committer ;

SELECT * FROM journals WHERE user_id = @QuserId ORDER BY user_id
7

SELECT user_id, count (*) FROM members WHERE user_id = @userId GROUP BY user_id ORDER BY user_id

7

SELECT user_id, count (*) FROM members m INNER JOIN member_roles r ON r.member_id = m.id WHERE user_id = @
userId GROUP BY user_id ORDER BY user_id

’

SELECT user_id user_preferences, count (*) FROM user_preferences WHERE user_id = @userId GROUP BY user_id
ORDER BY user_id

7

SELECT * FROM watchers WHERE user_id = @userId ORDER BY user_id

7

SELECT * FROM wiki_contents WHERE author_id = QuserId ORDER BY author_id

;

SELECT * FROM wiki_content_versions WHERE author_id = @userId ORDER BY author_id

#2 - 07/25/2016 04:28 PM - Andreas Miiller
- Status changed from New to Resolved
Open issues:
e Are the following users required?
o trac (id = 10; author of 114 wiki_contents and wiki_content_versions); do we still need this wiki content? Probably it is Trac specific and not

needed in Redmine
o somebody (id = 22; not an owner of any content)

04/10/2024 1/2




o conversion (id = 125; not an owner of any content)
o anonymous (id = 135; author of 4 wiki_content_versions; but maybe used elsewhere internally?)

e For the following locked users there is no known email address available: Magdy Zytomska, Veronika Kiss. Should we keep the foo.bar Email
Adress

e Maybe we should set Email notification for all locked users to "No events". | have done this for many already but maybe not for all

#3 - 07/25/2016 04:56 PM - Andreas Miiller
- % Done changed from 0 to 90

#4 - 07/25/2016 04:56 PM - Andreas Kohlbecker
Andreas Muller wrote:
Open issues:
e Are the following users required?
o trac (id = 10; author of 114 wiki_contents and wiki_content_versions); do we still need this wiki content? Probably it is Trac specific and
not needed in Redmine

The 114 Wiki pages actually are the Milestone descriptions. The user trac could be deleted if we associate this content to an other user.

e somebody (id = 22; not an owner of any content)

| vote for deleting this user

e conversion (id = 125; not an owner of any content)

| vote for deleting this user

e anonymous (id = 135; author of 4 wiki_content_versions; but maybe used elsewhere internally?)

These are the versions 2-5 of the WikiStart page, so this user can be deleted
¢ For the following locked users there is no known email address available: Magdy Zytomska, Veronika Kiss. Should we keep the foo.bar
Email Adress
These persons seems to be completely unknown, delete them.

¢ Maybe we should set Email notification for all locked users to "No events". | have done this for many already but maybe not for all

Good idea! Maybe this can be easily be done in the db directly.

#5 - 07/25/2016 05:03 PM - Andreas Kohlbecker

Andreas Kohlbecker wrote:

e Maybe we should set Email notification for all locked users to "No events". | have done this for many already but maybe not for all

Good idea! Maybe this can be easily be done in the db directly.

Done with

update users u set mail _notification = 'none' where status = 3 and mail_notification <> 'none'
#6 - 12/01/2016 04:51 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

- % Done changed from 90 to 100
